#include "AGBSW.h"

extern "C"
{
	int main(void)
	{
		extern font_t assets_font_island;
		text_configure(&assets_font_island, color_black);

		Menu_Main();

	    return 0;
	}
}

void Menu_Main()
{
	int key=0;
	char choice=0;

	while(1)
	{
		while(key != KEY_EXE)
		{
			dclear();
			
			dtext(0, 0, "ANGRY BIRD STAR WARS");
			dtext(10, 10, "JOUER");
			dtext(10, 18, "STATS");
			dtext(10, 26, "OPTIONS");
			dtext(10, 34, "CREDITS");
			dtext(10, 42, "QUITTER");
			dtext(3, 10+8*choice, ">");
			dupdate();
			
			key = getkey();
			
			switch(key)
			{
				case KEY_DOWN:
					choice++;
					if(choice>4)
						choice=0;
					break;

				case KEY_UP:
					choice--;
					if(choice<0)
						choice=4;
					break;

				case KEY_EXIT:
					return;
			}
		}
		
		key=0;
		
		switch(choice)
		{
			case 0:
				Jouer();
				break;
			case 1:
				Menu_Stats();
				break;
			case 2:
				Menu_Options();
				break;
			case 3:
				Menu_Credits();
				break;
			case 4:
				return;
		}
	}
}

void Jouer()
{
	/*
	Level lvl("W1L1");
	lvl.load((IsEmul() ? SD : ROOT));
	lvl.debug((IsEmul() ? SD : ROOT));
	lvl.play();	
	*/
}

void Menu_Stats()
{
	int key=0;
	int choice=0;
	
	while(1)
	{
		while(key!=KEY_EXE)
		{
			dclear();
			dtext(0, 0, "STATISTIQUES");
			dtext(10, 10, "NB DE PIAFS");
			dtext(10, 18, "NB DE NIVEAUX");
			dtext(10, 26, "TEMPS DE JEU");
			dtext(10, 34, "SUCCES");
			dtext(10, 42, "RETOUR");
			dtext(3, 34+8*choice, ">");
			dupdate();
			
			key = getkey();
			
			switch(key)
			{
				case KEY_DOWN:
				case KEY_UP:
					choice = (choice==0 ? 1 : 0);
					break;
				case KEY_EXIT:
					return;
			}
		}
		
		key=0;
		switch(choice)
		{
			case 0:
				Menu_Succes();
				break;
			case 1:
				return;
		}
	}
}

void Menu_Options()
{
	int key=0;
	int choice = 0;
	
	while(1)
	{
		while(key!=KEY_EXE)
		{
			dclear();
			dtext(0, 0, "OPTIONS");
			dtext(10, 10, "REINITIALISER");
			dtext(10, 18, "RETOUR");
			dtext(3, 10+8*choice, ">");
			dupdate();
			
			key = getkey();
			
			switch(key)
			{
				case KEY_DOWN:
				case KEY_UP:
					choice = (choice==0 ? 1 : 0);
					break;
				case KEY_EXIT:
					return;
			}
		}
		
		key=0;
		switch(choice)
		{
			case 0:
				break;
			case 1:
				return;
		}
	}
}

void Menu_Succes()
{
	int key=0;
	
	while(key!=KEY_EXE && key!=KEY_EXIT)
	{
		dclear();
		dtext(0, 0, "SUCCES");
		dtext(10, 10, "A FAIRE");
		dupdate();
		
		key = getkey();
	}
}

void Menu_Credits()
{
	unsigned int key=0;
	/*
	
	ML_clear_vram();
	
	Draw_printCenter("CREDITS", 0);
	Draw_printText("Ce jeu a ete developpe par TheProg avec l'aide de la communaute planete-casio", 5, 20);
	Draw_printCenter("PRESS [EXE]", 58);
	
	while(key!=KEY_CTRL_EXE)
		GetKey(&key);
		*/
}



bool IsEmul()
{
	int model = *(int*)0x80000300;
	
	switch(model)
	{
		case 0 :
			return true;

		case 0x33363246:
			/*
			if ( *(int*)0x8024FEE0  == 0xB4393341)
				return G35;
			else return UNDEFINED;
			*/
		case 0x34393542: // G75
		case 0x80005D7C : // G85
			// if((int*)((*SysCall)(0, 0, 0, 0, 1128))) G75SD;
		case 0x34393342 : // G95
		default :
			return false;
	}
}

void DEBUG(int value)
{
	char buf[25];
	int key=0;
	
	sprintf(buf, "%d", value);
	dtext(0, 0, buf);
	dupdate();

	while(key!=KEY_EXE)
		key = getkey();
}
