#ifndef __OBJECT_H__
#define __OBJECT_H__
	
	extern "C"
	{
		#include <display.h>
	}
	
	void ML_filled_circle(int x, int y, int radius, color_t color);
	void ML_circle(int x, int y, int radius, color_t color);

	class Object
	{
		public:
			Object();
			Object(int x, int y);
			Object(int x, int y, color_t color);
			Object(int x, int y, int radius, color_t color);
			~Object();
			
			void drawSimplif(int ScrMX=64, int ScrMY=32, float zoom=1.) const;
			
			void get_pos(int *x, int *y) const;
			void get_pos(float *x, float *y) const;
			float get_x() const;
			float get_y() const;
			float get_radius() const;

			void set_x(int x);
			void set_y(int y);
			void set_x(float x);
			void set_y(float y);
			void set_pos(int x, int y);
			
		protected:
			float m_x;
			float m_y;
			float m_radius;
			
			color_t m_color;
	};

#endif

