#ifndef __PIAF_H__
#define __PIAF_H__
	
	extern "C"
	{
		#include <display.h>
	}
	
	#include <math.h>
	//#include "object.h"
	#include "mobile.h"
	#include "attractor.h"
	#include "pig.h"
	
	#define BOUNCE_FACT_PIG		.5
	#define BOUNCE_FACT_DIRT	.5
	
	#define PI 3.14159265
	
	typedef enum {luke=0, al, leia, chewbacca, hanSolo} TypePiaf;
	
	class Piaf : public Mobile
	{
		public:
			Piaf();
			Piaf(int x, int y, TypePiaf type);
			~Piaf();
			
			bool colliPig(Pig *pig);
			bool colliAttract(Attractor *attractor);
			void draw(int ScrMX=64, int ScrMY=32, float zoom=1.);
			
			void copy(Piaf piafC);
			
			TypePiaf get_type() const;
			
		private:
			bool m_capacity;
			int m_damage;
			
			TypePiaf m_type;
	};
	
#endif

