#ifndef __PIG_H__
#define __PIG_H__
	
	extern "C"
	{
		#include <display.h>
	}
	
	#include "object.h"
	
	enum TypePig {soldier, king, egg};
	
	class Pig : public Object
	{
		public:
			Pig();
			Pig(int x, int y, TypePig type, int orient=0);
			~Pig();
			
			void draw(int ScrMX=64, int ScrMY=32, float zoom=1.) const;
			
			int get_life() const;
			
			void set_life(int newLife);
			
		private:
			int m_orient;
			
			int m_life;
			TypePig m_type;
	};

#endif

