#ifndef __BOW_H__
#define __BOW_H__

	extern "C"
	{
		#include <keyboard.h>
		#include <display.h>
	}
	
	#define INT(x) (int)(x+.5)
	
	#include "piaf.h"
	#include "control.h"
	#include "draw.h"
	
	#define UP		0
	#define RIGHT	90
	#define DOWN	180
	#define LEFT	270
	
	#define COOLDOWN_MOVE	1
	
	#define STEP_PATH	3
	#define STEP_BOW	.3
	
	class Bow
	{
		public:
			Bow();
			Bow(int x, int y, int orient=0);
			~Bow();
			
			void draw(int ScrMX=64, int ScrMY=32, float zoom=1.) const;
			void shoot(Piaf *piaf, int ScrMX=64, int ScrMY=32, float zoom=1.);
			void shoot(Piaf *piaf, Attractor *attracts, int nbAttract, int ScrMX, int ScrMY, float zoom);
			
			float get_x() const;
			float get_y() const;
		
		private:
			int m_x;
			int m_y;
			
			int m_orient;
			
	};

#endif